ALI(3)

SYNOPSIS
FUNCTION ALI (X)

NAME
ali - Compute the logarithmic integral.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C5

TYPE
SINGLE PRECISION (ALI-S, DLI-D)

KEYWORDS
FNLIB, LOGARITHMIC INTEGRAL, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
ALI(X) computes the logarithmic integral; i.e., the integral from 0.0 to X of (1.0/ln(t))dt.

REFERENCES
(NONE)

ROUTINES CALLED
EI, XERMSG

REVISION HISTORY (YYMMDD)
770601 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900326 Removed duplicate information from DESCRIPTION section. (WRB)